rte_eth_fdir_flow_ext(3)

NAME
rte_eth_fdir_flow_ext

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint8_t flexbytes [RTE_ETH_FDIR_MAX_FLEXLEN]
uint8_t is_vf
uint16_t dst_id

Detailed Description

A structure used to contain extend input of flow

Definition at line 285 of file rte_eth_ctrl.h.

Field Documentation

  uint8_t flexbytes[RTE_ETH_FDIR_MAX_FLEXLEN]
It is filled by the flexible payload to match.

Definition at line 287 of file rte_eth_ctrl.h.

  uint8_t is_vf
1 for VF, 0 for port dev

Definition at line 289 of file rte_eth_ctrl.h.

  uint16_t dst_id
VF ID, available when is_vf is 1

Definition at line 290 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.